SMTE(4)

NAME
smte - SpacemiT K1 EMAC 10/100/1Gb Ethernet device

SYNOPSIS
smte* at fdt?
rgephy* at mii?
ytphy* at mii?

DESCRIPTION
The smte driver provides support the Ethernet controller found on the SpacemiT K1 SoC.

The smte driver supports several media types, which are selected via the ifconfig(8) command. The supported media types are:

media autoselect
    Attempt to autoselect the media type (default)

media 1000baseT mediaopt full-duplex
    Use 1000baseT on copper, full duplex

media 1000baseT mediaopt half-duplex
    Use 1000baseT on copper, half duplex

media 100baseTX mediaopt full-duplex
    Use 100baseTX, full duplex

media 100baseTX mediaopt half-duplex
    Use 100baseTX, half duplex

media 10baseT mediaopt full-duplex
    Use 10baseT, full duplex

media 10baseT mediaopt half-duplex
    Use 10baseT, half duplex

SEE ALSO
arp(4), ifmedia(4), inet(4), intro(4), netintro(4), rgephy(4), ytphy(4), hostname.if(5), ifconfig(8)

HISTORY
OpenBSD support for smte first appeared in OpenBSD 7.9.

AUTHORS
-nosplit The smte driver was written by Mark Kettenis <kettenis@openbsd.org>.